<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCcdRequestingServiceReq StructType
 * @subpackage Structs
 */
class AddCcdRequestingServiceReq extends APIRequest
{
    /**
     * The ccdRequestingService
     * @var XCcdRequestingService
     */
    public $ccdRequestingService;
    /**
     * Constructor method for AddCcdRequestingServiceReq
     * @uses AddCcdRequestingServiceReq::setCcdRequestingService()
     * @param XCcdRequestingService $ccdRequestingService
     */
    public function __construct(XCcdRequestingService $ccdRequestingService = null)
    {
        $this
            ->setCcdRequestingService($ccdRequestingService);
    }
    /**
     * Get ccdRequestingService value
     * @return XCcdRequestingService|null
     */
    public function getCcdRequestingService()
    {
        return $this->ccdRequestingService;
    }
    /**
     * Set ccdRequestingService value
     * @param XCcdRequestingService $ccdRequestingService
     * @return AddCcdRequestingServiceReq
     */
    public function setCcdRequestingService(XCcdRequestingService $ccdRequestingService = null)
    {
        $this->ccdRequestingService = $ccdRequestingService;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCcdRequestingServiceReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
